## org.apache.fop.layout.hyphenation
Class Hyphenator

    java.lang.Object
      |
      +--org.apache.fop.layout.hyphenation.Hyphenator

public class Hyphenator
extends java.lang.Object

This class is the main entry point to the hyphenation package. You can use only the static methods or create an instance.

Author:
  Carlos Villegas <cav@uniscope.co.jp>

Constructor Summary
`Hyphenator(java.lang.String lang, java.lang.String country, int leftMin, int rightMin)`

Method Summary
`static HyphenationTree` `getFopHyphenationTree(java.lang.String key)`
`static HyphenationTree` `getHyphenationTree(java.lang.String lang, java.lang.String country)`
`static HyphenationTree` `getUserHyphenationTree(java.lang.String key, java.lang.String hyphenDir)` load tree from serialized file or xml file using configuration settings
`Hyphenation` `hyphenate(char[] word, int offset, int len)`
`Hyphenation` `hyphenate(java.lang.String word)`
`static Hyphenation` `hyphenate(java.lang.String lang, java.lang.String country, char[] word, int offset, int len, int leftMin, int rightMin)`
`static Hyphenation` `hyphenate(java.lang.String lang, java.lang.String country, java.lang.String word, int leftMin, int rightMin)`
`void` `setLanguage(java.lang.String lang, java.lang.String country)`
`void` `setMinPushCharCount(int min)`
`void` `setMinRemainCharCount(int min)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hyphenator

    public Hyphenator(java.lang.String lang,
                      java.lang.String country,
                      int leftMin,
                      int rightMin)

Method Detail

### getHyphenationTree

    public static HyphenationTree getHyphenationTree(java.lang.String lang,
                                                     java.lang.String country)

### getFopHyphenationTree

    public static HyphenationTree getFopHyphenationTree(java.lang.String key)

### getUserHyphenationTree

    public static HyphenationTree getUserHyphenationTree(java.lang.String key,
                                                         java.lang.String hyphenDir)

  load tree from serialized file or xml file using configuration settings

### hyphenate

    public static Hyphenation hyphenate(java.lang.String lang,
                                        java.lang.String country,
                                        java.lang.String word,
                                        int leftMin,
                                        int rightMin)

### hyphenate

    public static Hyphenation hyphenate(java.lang.String lang,
                                        java.lang.String country,
                                        char[] word,
                                        int offset,
                                        int len,
                                        int leftMin,
                                        int rightMin)

### setMinRemainCharCount

    public void setMinRemainCharCount(int min)

### setMinPushCharCount

    public void setMinPushCharCount(int min)

### setLanguage

    public void setLanguage(java.lang.String lang,
                            java.lang.String country)

### hyphenate

    public Hyphenation hyphenate(char[] word,
                                 int offset,
                                 int len)

### hyphenate

    public Hyphenation hyphenate(java.lang.String word)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.